﻿using Syncfusion.XlsIO;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;

namespace DiscontinuousRangeChart
{
    public partial class Default : System.Web.UI.Page
    {
        protected void Page_Load(object sender, EventArgs e)
        {

        }

        protected void Unnamed1_Click(object sender, EventArgs e)
        {
            //New instance of XlsIO is created.[Equivalent to launching MS Excel with no workbooks open].
            //The instantiation process consists of two steps.

            //Step 1 : Instantiate the spreadsheet creation engine.
            ExcelEngine excelEngine = new ExcelEngine();
            //Step 2 : Instantiate the excel application object.
            IApplication application = excelEngine.Excel;

            //Open the template document with data
            IWorkbook workBook = application.Workbooks.Open(Server.MapPath("~/Data/Template.xlsx"));
            
            //Access the worksheet
            IWorksheet workSheet = workBook.Worksheets[0];

            //Create a new chart
            IChart chart = workSheet.Charts.Add();
            chart.XPos = 600;
            chart.YPos = 50;
            
            //Create a new chart series and assgin the value range
            IChartSerie serie1 = chart.Series.Add("Column1");
            serie1.Values = workSheet.Range[7, 2, 14, 2];
            
            //Create a new chart series and assgin the value range
            IChartSerie serie2 = chart.Series.Add("Column2");
            serie2.Values = workSheet.Range[7, 3, 14, 3];

            //Create a new chart series and assgin the value range
            IChartSerie serie3 = chart.Series.Add("Column4");
            serie3.Values = workSheet.Range[7, 5, 14, 5];
            
            //Create a new chart series and assgin the value range
            IChartSerie serie4 = chart.Series.Add("Column6");
            serie4.Values = workSheet.Range[7, 7, 14, 7];

            //Set the chart type
            chart.ChartType = ExcelChartType.Column_Clustered;
            //Set Chart titile
            chart.ChartTitle = "Clustered Column";
           
            //Save the document
            workBook.SaveAs("DiscontinuousRangeChart.xlsx", Response, ExcelDownloadType.PromptDialog, ExcelHttpContentType.Excel2010);

            //Close the workbook.
            workBook.Close();
            excelEngine.Dispose();
        }
    }
}